<?php
/*
Plugin Name: Share a Refund
Plugin URI:  https://www.sharearefund.com
Description: Do you ship packages with FedEx, DHL and UPS? Lowering your shipping costs just got easier. Share a refund is shipment auditing platform for FedEx, UPS and DHL
Version:     0.1
Author:      sharearefund
Author URI:  https://www.sharearefund.com
*/

$SHAREAREFUND_APP_URL = 'https://app.sharearefund.com/wordpress';

function rr_menu() {
    add_menu_page(
        'Share a Refund',
        'Share a Refund',
        'manage_options',
        'sharearefund',
        'sharearefund_page_html',
        plugin_dir_url(__FILE__) . 'favicon.ico'
    );
}
add_action('admin_menu', 'rr_menu');

function sharearefund_page_html()
{
     $admin_email = get_option('admin_email');
     $inst_id = get_option('sharearefund_installation_id');
     $current_user = wp_get_current_user();
     $url = $GLOBALS['SHAREAREFUND_APP_URL'] .'?email=' .  rawurlencode($admin_email) .  '&inst_id=' . $inst_id . '&name=' . rawurlencode($current_user->display_name);
     echo '<iframe style="width:100%;height:800px;border=0;" src="' . $url  . '"></iframe>';
}

function sharearefund_installation_id($length = 12) {
  $chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';

  $id = '';
  for ($i = 0; $i < $length; $i++) {
    $id .= substr($chars, rand(0, strlen($chars) - 1), 1);
  }

  return $id;
}

function sharearefund_activated()
{
    $id = sharearefund_installation_id();
    add_option('sharearefund_installation_id', $id);
}
register_activation_hook( __FILE__, 'sharearefund_activated' );

function sharearefund_deactivated()
{
    $admin_email = get_option('admin_email');
    $inst_id = get_option('sharearefund_installation_id');
    $url = $GLOBALS['SHAREAREFUND_APP_URL'] .'/deactivated?email=' .  rawurlencode($admin_email) .  '&inst_id=' . $inst_id;
    
    $arrContextOptions=array(
        "ssl"=>array(
            "verify_peer"=>false,
            "verify_peer_name"=>false,
        ),
    );  
    error_log($url);
    file_get_contents($url, false, stream_context_create($arrContextOptions));
}
register_deactivation_hook( __FILE__, 'sharearefund_deactivated' );

function sharearefund_removed()
{
    $admin_email = get_option('admin_email');
    $inst_id = get_option('sharearefund_installation_id');
    $url = $GLOBALS['SHAREAREFUND_APP_URL'] .'/deactivated?email=' .  rawurlencode($admin_email) .  '&inst_id=' . $inst_id;
    
    $arrContextOptions=array(
        "ssl"=>array(
            "verify_peer"=>false,
            "verify_peer_name"=>false,
        ),
    );
    file_get_contents($url, false, stream_context_create($arrContextOptions));
}
register_uninstall_hook(__FILE__, 'sharearefund_removed');